Code Coverage with EclEmma

111 views
Skip to first unread message

Matt Raible

unread,
Feb 3, 2009, 6:04:04 PM2/3/09
to Google Web Toolkit
I'm trying to get code coverage support for my GWT project. AFAICT, I
can't use anything from Maven or Ant, I have to use the EclEmma plugin
as described in the following issue:

http://code.google.com/p/google-web-toolkit/issues/detail?id=779

I'm using Eclipse 3.3 with the latest version of EclEmma with the JAR
from tools/redist/emma in my plugins directory.

I can run tests from Eclipse and they all pass. However, the coverage
shows up as if my GWT classes aren't being tested. Furthermore, my
"test" classes are showing up with good coverage and I don't believe
they should be included at all.

Any advice or howto I can use?

Thanks,

Matt

Sumit Chandel

unread,
Feb 6, 2009, 5:38:16 PM2/6/09
to Google-We...@googlegroups.com
Hi Matt,

Are you building the latest version of GWT from the SVN trunk?

The team has only just recently added better support for Emma, but it is still under development. The plan is to try and get this ready for either a coming milestone or final release, but until then you're likely to encounter issues running code coverage reports. Some improvements have been added even past the 1.6 milestone, so if you would like to give Emma support another try to see how it's shaping up, you should build from the latest in trunk and run with that.

As far as I know, you should still be able to use Ant or Maven or any other build system along with Emma code coverage in your GWT applications.

Hope that helps,
-Sumit Chandel
Reply all
Reply to author
Forward
0 new messages